#include <bits\stdc++.h>
using namespace std;
bool tckv(int x)
{
    for(int i=0; i*i<=x; i++)
    {
        if(i*i==x)
        {
            return true;
        }
    }
    return false;
}
bool pro(int x)
{
    for(int i=1; i*i<x; i++)
    {
        if(tckv(x-i*i))
        {
            return true;
        }
    }
    return false;
}
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int n;
    cin>>n;
    for(int i=0; i<n; i++)
    {
        int x;
        cin>>x;
        if(pro(x))
        {
            cout<<1;
        }
        else
        {
            cout<<0;
        }
    }
    return 0;
}
